Skip to main content
GET
Batch Get App Conversation Start Tasks

Authorizations

X-Access-Token
string
header
required

Query Parameters

ids
string<uuid>[]
required

Response

(AppConversationStartTask · object | null)[]

Successful Response

Object describing the start process for an app conversation.

Because starting an app conversation can be slow (And can involve starting a sandbox), we kick off a background task for it. Once the conversation is started, the app_conversation_id is populated.

created_by_user_id
string | null
required
request
AppConversationStartRequest · object
required

Start conversation request object.

Although a user can go directly to the sandbox and start conversations, they would need to manually supply required startup parameters such as LLM key. Starting from the app server copies these from the user info.

id
string
status
enum<string>
default:WORKING
Available options:
WORKING,
WAITING_FOR_SANDBOX,
PREPARING_REPOSITORY,
RUNNING_SETUP_SCRIPT,
SETTING_UP_GIT_HOOKS,
SETTING_UP_SKILLS,
STARTING_CONVERSATION,
READY,
ERROR
detail
string | null
app_conversation_id
string | null

The id of the app_conversation, if READY

sandbox_id
string | null

The id of the sandbox, if READY

agent_server_url
string | null

The agent server url, if READY

created_at
string<date-time>
updated_at
string<date-time>